xref: /haiku/configure (revision b29b48b1164f2e38f1a50251d88c674b0e5ae434)
152a38012Sejakowatz#!/bin/sh
252a38012Sejakowatz#
3338b8dc3SIngo Weinhold# configure [ <options> ]
4614026d7Sshatty
5022fa244SIngo Weinhold# usage
6022fa244SIngo Weinhold#
7022fa244SIngo Weinhold# Prints usage.
8022fa244SIngo Weinhold#
9022fa244SIngo Weinholdusage()
10022fa244SIngo Weinhold{
11022fa244SIngo Weinhold	cat << EOF
12022fa244SIngo Weinhold
13022fa244SIngo WeinholdUsage: $0 <options>
14022fa244SIngo Weinholdoptions:
1560d8d8fcSIngo Weinhold  --alternative-gcc-output-dir <dir>
1660d8d8fcSIngo Weinhold                              Build a Haiku installation that supports running
1760d8d8fcSIngo Weinhold                              executables built with a gcc version incompatible
1860d8d8fcSIngo Weinhold                              with the primary gcc (e.g. gcc 2 executables under
1960d8d8fcSIngo Weinhold                              a gcc 4 Haiku or vice versa). <dir> specifies the
2060d8d8fcSIngo Weinhold                              output directory of the other gcc. The directory
2160d8d8fcSIngo Weinhold                              must already be fully configured.
2260d8d8fcSIngo Weinhold                              Note, that a sub-jam will be executed when
2360d8d8fcSIngo Weinhold                              building Haiku. When using a jam that is not
2460d8d8fcSIngo Weinhold                              simply invoked by "jam", the JAM build variable
2560d8d8fcSIngo Weinhold                              needs to be set accordingly.
2660d8d8fcSIngo Weinhold                              To disable building the alternative libraries
2760d8d8fcSIngo Weinhold                              the variable HAIKU_ADD_ALTERNATIVE_GCC_LIBS can be
2860d8d8fcSIngo Weinhold                              unset in the UserBuildConfig file.
29338b8dc3SIngo Weinhold  --build-cross-tools <build tools dir>
30338b8dc3SIngo Weinhold                              Assume cross compilation. <build tools dir>
31338b8dc3SIngo Weinhold                              defines the location of the build tools sources.
32338b8dc3SIngo Weinhold                              They will be compiled and placed in the output
33a5b60fa8SOliver Tappe                              directory under "cross-tools". The HAIKU_* tools
34a5b60fa8SOliver Tappe                              variables will be set accordingly.
3520ab75e6SIngo Weinhold  --build-cross-tools-gcc4 <arch> <build tools dir>
3629ef597dSIngo Weinhold                              Like "--build-cross-tools" just that gcc 4 will
37a5b60fa8SOliver Tappe                              be used for cross-compilation. Note, that the
38a5b60fa8SOliver Tappe                              resulting Haiku installation built with gcc 4
39a5b60fa8SOliver Tappe                              will not be binary compatible with BeOS R5.
4020ab75e6SIngo Weinhold                              <arch> specifies the target architecture, either
41161ad355SJérôme Duval                              "x86", "ppc", "m68k", "arm" or "mipsel".
42eccc7665SIngo Weinhold  --cross-tools-prefix <prefix>
43eccc7665SIngo Weinhold                              Assume cross compilation. <prefix> should be a
44eccc7665SIngo Weinhold                              path to the directory where the cross
45eccc7665SIngo Weinhold                              compilation tools are located, plus the platform
460da9c208SIngo Weinhold                              prefix, e.g. "/path/to/tools/i586-pc-haiku-".
47eccc7665SIngo Weinhold                              This overrides the HAIKU_* tool variables.
48a66c32ddSIngo Weinhold  --distro-compatibility <level>
49a66c32ddSIngo Weinhold                              The distribution's level of compatibility with
50a66c32ddSIngo Weinhold                              the official Haiku distribution. The generated
51a66c32ddSIngo Weinhold                              files will contain the respective trademarks
52a66c32ddSIngo Weinhold                              accordingly.
53a66c32ddSIngo Weinhold                              official -- the official Haiku distribution.
54a66c32ddSIngo Weinhold                              compatible -- a Haiku Compatible (tm) distro.
55a66c32ddSIngo Weinhold                              default -- any other distro (default value).
5660d8d8fcSIngo Weinhold  --enable-multiuser          Enable experimental multiuser support.
57eccc7665SIngo Weinhold  --help                      Prints out this help.
58eccc7665SIngo Weinhold  --include-gpl-addons        Include GPL licensed add-ons.
5967838392SAxel Dörfler  --include-patented-code     Enable code that is known to implemented patented
6067838392SAxel Dörfler                              ideas and techniques. If this option is not
6167838392SAxel Dörfler                              specified, the resulting distribution may still
6267838392SAxel Dörfler                              implement patented ideas and techniques. This
6367838392SAxel Dörfler                              option only disables code that is currently known
6467838392SAxel Dörfler                              to be problematic.
6576fa0be3SIngo Weinhold  --include-sources           Includes the source code of projects that require
6676fa0be3SIngo Weinhold                              either an offer of source code or a copy of the
6776fa0be3SIngo Weinhold                              patched sources. This is preferable when
6876fa0be3SIngo Weinhold                              distributing on physical mediums.
691974210fSFrançois Revol  --include-3rdparty          Include 3rdparty/ in the build system.
7060d8d8fcSIngo Weinhold  -j<n>                       Only relevant for --build-cross-tools and
7160d8d8fcSIngo Weinhold                              --build-cross-tools-gcc4. Is passed on to the
7260d8d8fcSIngo Weinhold                              make building the build tools.
737c4641d0SOliver Tappe  --target=TARGET             Select build target platform.
747c4641d0SOliver Tappe                              [default=${TARGET_PLATFORM}]
75a17b9c0cSshatty                              valid targets=r5,bone,dano,haiku
767c4641d0SOliver Tappe  --update                    re-runs last configure invocation [must be given
777c4641d0SOliver Tappe                              as first option!]
78eccc7665SIngo Weinhold  --use-gcc-pipe              Build with GCC option -pipe. Speeds up the build
795a34a443SFrançois Revol                              process, but uses more memory.
800385b065SIngo Weinhold  --use-32bit                 Use -m32 flag on 64bit host gcc compiler.
814f4e5272SIngo Weinhold  --use-xattr                 Use Linux xattr support for BeOS attribute
824f4e5272SIngo Weinhold                              emulation. Warning: Make sure your file system
834f4e5272SIngo Weinhold                              supports sufficient attribute sizes (4 KB per
844f4e5272SIngo Weinhold                              file for all attributes won't suffice).
85338b8dc3SIngo Weinhold
86338b8dc3SIngo Weinholdenvironment variables:
87338b8dc3SIngo Weinhold  HAIKU_AR                    The static library archiver. Defaults to "ar".
88338b8dc3SIngo Weinhold  HAIKU_CC                    The compiler. Defaults to "gcc".
89338b8dc3SIngo Weinhold  HAIKU_LD                    The linker. Defaults to "ld".
90338b8dc3SIngo Weinhold  HAIKU_OBJCOPY               The objcopy to be used. Defaults to "objcopy".
91338b8dc3SIngo Weinhold  HAIKU_RANLIB                The static library indexer. Defaults to "ranlib".
9277e84f21SIngo Weinhold  HAIKU_YASM                  The yasm assembler (x86 only).
93338b8dc3SIngo Weinhold  HAIKU_CPPFLAGS              The preprocessor flags. Defaults to "".
94338b8dc3SIngo Weinhold  HAIKU_CCFLAGS               The C flags. Defaults to "".
95338b8dc3SIngo Weinhold  HAIKU_CXXFLAGS              The C++ flags. Defaults to "".
96338b8dc3SIngo Weinhold  HAIKU_LDFLAGS               The linker flags. Defaults to "".
97338b8dc3SIngo Weinhold  HAIKU_ARFLAGS               The flags passed to HAIKU_AR for archiving.
9823eb9a9eSFrançois Revol                              Defaults to "cru".
99338b8dc3SIngo Weinhold  HAIKU_UNARFLAGS             The flags passed to HAIKU_AR for unarchiving.
100338b8dc3SIngo Weinhold                              Defaults to "x".
10164f6da31SIngo Weinhold
10264f6da31SIngo WeinholdNon-standard output directories:
10364f6da31SIngo Weinhold  By default all objects, build configuration, and other related files are
10464f6da31SIngo Weinhold  stored in /path/to/haiku_source/generated.  To store objects in a non-default
10564f6da31SIngo Weinhold  location, run "../../relative/path/to/haiku_source/configure <options>" from
10664f6da31SIngo Weinhold  within your non-default location.  "jam [ options ] targets" can then be run
10764f6da31SIngo Weinhold  directly inside your non-default location.  Another option is to invoke "jam
10864f6da31SIngo Weinhold  [ options ] targets" from within haiku_source.  This can be accomplished by
10964f6da31SIngo Weinhold  either "export HAIKU_OUTPUT_DIR=your non-default location" before invoking
11064f6da31SIngo Weinhold  jam or by creating a symlink of haiku_source/generated pointing to your
11164f6da31SIngo Weinhold  non-default location and running jam.
11264f6da31SIngo Weinhold
11364f6da31SIngo Weinhold
114022fa244SIngo WeinholdEOF
115022fa244SIngo Weinhold}
116022fa244SIngo Weinhold
117022fa244SIngo Weinhold# assertparam
118022fa244SIngo Weinhold#
119022fa244SIngo Weinhold# Checks whether at least one parameter is left.
120022fa244SIngo Weinhold#
121022fa244SIngo Weinholdassertparam()
122022fa244SIngo Weinhold{
12320ab75e6SIngo Weinhold	if [ $2 -lt 2 ]; then
124022fa244SIngo Weinhold		echo $0: \`$1\': Parameter expected.
125022fa244SIngo Weinhold		exit 1
126022fa244SIngo Weinhold	fi
127022fa244SIngo Weinhold}
128022fa244SIngo Weinhold
12920ab75e6SIngo Weinhold# assertparams
13020ab75e6SIngo Weinhold#
13120ab75e6SIngo Weinhold# Checks whether at least a certain number of parameters is left.
13220ab75e6SIngo Weinhold#
13320ab75e6SIngo Weinholdassertparams()
13420ab75e6SIngo Weinhold{
13520ab75e6SIngo Weinhold	if [ $3 -le $2 ]; then
13620ab75e6SIngo Weinhold		echo $0: \`$1\': Not enough parameters.
13720ab75e6SIngo Weinhold		exit 1
13820ab75e6SIngo Weinhold	fi
13920ab75e6SIngo Weinhold}
14020ab75e6SIngo Weinhold
14109c5682dSIngo Weinhold# standard_gcc_settings
14209c5682dSIngo Weinhold#
14309c5682dSIngo Weinhold# Sets the variables for a GCC platform.
14409c5682dSIngo Weinhold#
14509c5682dSIngo Weinholdstandard_gcc_settings()
14609c5682dSIngo Weinhold{
147b4b6d83cSMatt Madia	if [ `which greadlink` ]; then
148*b29b48b1SMatt Madia		readlink="greadlink -e"
149*b29b48b1SMatt Madia	elif [ `which realpath` ]; then
150*b29b48b1SMatt Madia		readlink=realpath
151b4b6d83cSMatt Madia	else
152*b29b48b1SMatt Madia		readlink="readlink -e"
153b4b6d83cSMatt Madia	fi
15409c5682dSIngo Weinhold	# PLATFORM_LINKLIBS
155338b8dc3SIngo Weinhold	gcclib=`$HAIKU_CC -print-libgcc-file-name`
15609c5682dSIngo Weinhold	gccdir=`dirname ${gcclib}`
1575b0f7b1bSOliver Tappe
1587c4641d0SOliver Tappe	HAIKU_GCC_RAW_VERSION=`$HAIKU_CC -dumpversion`
1597c4641d0SOliver Tappe	HAIKU_GCC_MACHINE=`$HAIKU_CC -dumpmachine`
160338b8dc3SIngo Weinhold
161338b8dc3SIngo Weinhold	HAIKU_GCC_LIB_DIR=${gccdir}
162338b8dc3SIngo Weinhold	HAIKU_GCC_LIBGCC=${gccdir}/libgcc.a
163338b8dc3SIngo Weinhold	HAIKU_GCC_GLUE_CODE="crtbegin.o crtend.o"
16428b5bc75SMichael Lotz	HAIKU_GCC_HEADERS_DIR="${gccdir}/include
16528b5bc75SMichael Lotz		${gccdir}/include-fixed"
1665d978968SIngo Weinhold	HAIKU_GCC_LIBGCC_OBJECTS=`$HAIKU_AR t ${HAIKU_GCC_LIBGCC} | grep -v eabi.o`
1675d978968SIngo Weinhold		# Note: We filter out eabi.o. It's present in gcc's libgcc for PPC and
1685d978968SIngo Weinhold		# neither needed nor wanted.
1698b5934c9SIngo Weinhold
1707c4641d0SOliver Tappe	case $HAIKU_GCC_RAW_VERSION in
1718b5934c9SIngo Weinhold		4.*)
1725b0f7b1bSOliver Tappe			# for gcc 4 we use the libstdc++ and libsupc++ that come with the
1735b0f7b1bSOliver Tappe			# compiler
1747c4641d0SOliver Tappe			HAIKU_STATIC_LIBSTDCXX=`$HAIKU_CC -print-file-name=libstdc++.a`
1757c4641d0SOliver Tappe			HAIKU_SHARED_LIBSTDCXX=`$HAIKU_CC -print-file-name=libstdc++.so`
1767c4641d0SOliver Tappe			HAIKU_STATIC_LIBSUPCXX=`$HAIKU_CC -print-file-name=libsupc++.a`
1777c4641d0SOliver Tappe			HAIKU_SHARED_LIBSUPCXX=`$HAIKU_CC -print-file-name=libsupc++.so`
17814210488SMichael Lotz
17914210488SMichael Lotz			local headers
1807c4641d0SOliver Tappe			if [ -d $gccdir/../../../../$HAIKU_GCC_MACHINE/include/c++/$HAIKU_GCC_RAW_VERSION ]; then
1817c4641d0SOliver Tappe				headers=$gccdir/../../../../$HAIKU_GCC_MACHINE/include/c++/$HAIKU_GCC_RAW_VERSION
18214210488SMichael Lotz			else
1837c4641d0SOliver Tappe				headers=$gccdir/../../../../include/c++/$HAIKU_GCC_RAW_VERSION
18414210488SMichael Lotz			fi
18514210488SMichael Lotz
1867c4641d0SOliver Tappe			HAIKU_CXX_HEADERS_DIR=$headers
1877c4641d0SOliver Tappe			for d in $HAIKU_GCC_MACHINE backward ext; do
18829ef597dSIngo Weinhold				# Note: We need the line break, otherwise the line might become
18929ef597dSIngo Weinhold				# too long for jam (512 bytes max).
1907c4641d0SOliver Tappe				HAIKU_CXX_HEADERS_DIR="$HAIKU_CXX_HEADERS_DIR
19129ef597dSIngo Weinhold					$headers/$d"
1928b5934c9SIngo Weinhold			done
193274b450aSMarcus Overhagen
1943f9f9f9aSIngo Weinhold			# Unset the HAIKU_{SHARED,STATIC}_LIB{STD,SUP}CXX variables, if the
1953f9f9f9aSIngo Weinhold			# compiler didn't give us actual file names. Otherwise resolve
1963f9f9f9aSIngo Weinhold			# symlinks to avoid problems when copying the libraries to the
1973f9f9f9aSIngo Weinhold			# image.
1988b5934c9SIngo Weinhold
1997c4641d0SOliver Tappe			if [ $HAIKU_STATIC_LIBSTDCXX = libstdc++.a ]; then
2007c4641d0SOliver Tappe				HAIKU_STATIC_LIBSTDCXX=
2013f9f9f9aSIngo Weinhold			else
202*b29b48b1SMatt Madia				HAIKU_STATIC_LIBSTDCXX=`$readlink $HAIKU_STATIC_LIBSTDCXX`
2038b5934c9SIngo Weinhold			fi
2043f9f9f9aSIngo Weinhold
205ffe8b20cSIngo Weinhold			if [ $HAIKU_SHARED_LIBSTDCXX = libstdc++.so ]; then
206ffe8b20cSIngo Weinhold				HAIKU_SHARED_LIBSTDCXX=
2073f9f9f9aSIngo Weinhold			else
208*b29b48b1SMatt Madia				HAIKU_SHARED_LIBSTDCXX=`$readlink $HAIKU_SHARED_LIBSTDCXX`
209ffe8b20cSIngo Weinhold			fi
2103f9f9f9aSIngo Weinhold
2117c4641d0SOliver Tappe			if [ $HAIKU_STATIC_LIBSUPCXX = libsupc++.a ]; then
2127c4641d0SOliver Tappe				HAIKU_STATIC_LIBSUPCXX=
2133f9f9f9aSIngo Weinhold			else
214*b29b48b1SMatt Madia				HAIKU_STATIC_LIBSUPCXX=`$readlink $HAIKU_STATIC_LIBSUPCXX`
215c89fc875SIngo Weinhold			fi
2163f9f9f9aSIngo Weinhold
217ffe8b20cSIngo Weinhold			if [ $HAIKU_SHARED_LIBSUPCXX = libsupc++.so ]; then
218ffe8b20cSIngo Weinhold				HAIKU_SHARED_LIBSUPCXX=
2193f9f9f9aSIngo Weinhold			else
220*b29b48b1SMatt Madia				HAIKU_SHARED_LIBSUPCXX=`$readlink $HAIKU_SHARED_LIBSUPCXX`
221ffe8b20cSIngo Weinhold			fi
2228b5934c9SIngo Weinhold		;;
2236cc8eecfSOliver Tappe		2.9*)
2245b0f7b1bSOliver Tappe			# check for correct (most up-to-date) legacy compiler and complain
2255b0f7b1bSOliver Tappe			# if an older one is installed
2267c4641d0SOliver Tappe			if [ $HAIKU_GCC_RAW_VERSION != $haikuRequiredLegacyGCCVersion ]; then
2275b0f7b1bSOliver Tappe				echo "GCC version $haikuRequiredLegacyGCCVersion is required!";
2285b0f7b1bSOliver Tappe				echo "Please download it from www.haiku-os.org...";
2295b0f7b1bSOliver Tappe				exit 1;
2305b0f7b1bSOliver Tappe			fi
2315b0f7b1bSOliver Tappe		;;
2328b5934c9SIngo Weinhold	esac
23309c5682dSIngo Weinhold}
23409c5682dSIngo Weinhold
235338b8dc3SIngo Weinhold# set_default_value
236338b8dc3SIngo Weinhold#
237338b8dc3SIngo Weinhold# Set the value for a variable, if no value is set yet.
238338b8dc3SIngo Weinhold#
239338b8dc3SIngo Weinholdset_default_value()
240338b8dc3SIngo Weinhold{
2410838a930SJérôme Duval	eval "$1=\${$1-$2}"
242338b8dc3SIngo Weinhold}
243338b8dc3SIngo Weinhold
244338b8dc3SIngo Weinhold# get_build_tool_path
245338b8dc3SIngo Weinhold#
246338b8dc3SIngo Weinhold# Gets a usable absolute path of a build tool.
247338b8dc3SIngo Weinhold#
248338b8dc3SIngo Weinholdget_build_tool_path()
249338b8dc3SIngo Weinhold{
250338b8dc3SIngo Weinhold	local var="HAIKU_$1"
251338b8dc3SIngo Weinhold	local tool=$2
252338b8dc3SIngo Weinhold	local path="${crossToolsPrefix}$tool"
253338b8dc3SIngo Weinhold
254338b8dc3SIngo Weinhold	if [ -f "$path" ]; then
255338b8dc3SIngo Weinhold		# get absolute path
256a559f87aSFrançois Revol		local oldPwd="`pwd`"
257a559f87aSFrançois Revol		cd "`dirname "$path"`"
258a559f87aSFrançois Revol		path="`pwd`/`basename "$path"`"
259338b8dc3SIngo Weinhold		cd $oldPwd
260338b8dc3SIngo Weinhold	else
2617fe2e06cSMatt Madia		which "$path" > /dev/null 2>&1 || {
262338b8dc3SIngo Weinhold			echo "Build tool \"$path\" not found." >&2
263338b8dc3SIngo Weinhold			exit 1
264338b8dc3SIngo Weinhold		}
265338b8dc3SIngo Weinhold	fi
266338b8dc3SIngo Weinhold
267338b8dc3SIngo Weinhold	eval "$var=$path"
268338b8dc3SIngo Weinhold}
269338b8dc3SIngo Weinhold
270338b8dc3SIngo Weinhold# get cwd and the source directory
271338b8dc3SIngo WeinholdcurrentDir=`pwd`
2726e7c6fe5SIngo Weinholdcd `dirname "$0"`
273338b8dc3SIngo WeinholdsourceDir=`pwd`
2746e7c6fe5SIngo Weinholdcd "$currentDir"
275338b8dc3SIngo Weinhold
27655d267a4SFrançois Revol# backup the passed arguments
27755d267a4SFrançois RevolconfigureArgs="$@"
27855d267a4SFrançois Revol
2797c4641d0SOliver Tappe# internal default parameter values
280022fa244SIngo Weinhold#
28152a38012Sejakowatzplatform=`uname`
2825abd9a46SIngo WeinholdplatformMachine=`uname  -m`
28377e84f21SIngo WeinholdtargetArch=x86
284338b8dc3SIngo WeinholdcrossToolsPrefix=
285338b8dc3SIngo WeinholdbuildCrossTools=
28629ef597dSIngo WeinholdbuildCrossToolsScript="$sourceDir/build/scripts/build_cross_tools"
28720ab75e6SIngo WeinholdbuildCrossToolsMachine=
28860d8d8fcSIngo WeinholdbuildCrossToolsJobs=
2897c4641d0SOliver Tappe
2907c4641d0SOliver Tappe# exported (BuildSetup) default parameter values
2917c4641d0SOliver Tappe#
2927c4641d0SOliver TappeHAIKU_GCC_RAW_VERSION=
2937c4641d0SOliver TappeHAIKU_GCC_MACHINE=i586-pc-haiku
2947c4641d0SOliver TappeHAIKU_STATIC_LIBSTDCXX=
2957c4641d0SOliver TappeHAIKU_SHARED_LIBSTDCXX=
2967c4641d0SOliver TappeHAIKU_STATIC_LIBSUPCXX=
2977c4641d0SOliver TappeHAIKU_SHARED_LIBSUPCXX=
2987c4641d0SOliver TappeHAIKU_CXX_HEADERS_DIR=
2997c4641d0SOliver TappeHOST_GCC_RAW_VERSION=`gcc -dumpversion`
3007c4641d0SOliver TappeHOST_GCC_MACHINE=`gcc -dumpmachine`
3017c4641d0SOliver TappeHAIKU_INCLUDE_GPL_ADDONS=0
3027c4641d0SOliver TappeHAIKU_INCLUDE_PATENTED_CODE=0
30376fa0be3SIngo WeinholdHAIKU_INCLUDE_SOURCES=0
3047c4641d0SOliver TappeHAIKU_INCLUDE_3RDPARTY=0
3057c4641d0SOliver TappeHAIKU_ENABLE_MULTIUSER=0
3067c4641d0SOliver TappeHAIKU_DISTRO_COMPATIBILITY=default
3077c4641d0SOliver TappeTARGET_PLATFORM=haiku
3087c4641d0SOliver TappeHAIKU_USE_GCC_PIPE=0
3097986925fSIngo WeinholdHAIKU_HOST_USE_32BIT=0
3107986925fSIngo WeinholdHAIKU_HOST_USE_XATTR=0
3117c4641d0SOliver TappeHAIKU_ALTERNATIVE_GCC_OUTPUT_DIR=
3127c4641d0SOliver TappeHAIKU_ADD_ALTERNATIVE_GCC_LIBS=
3137c4641d0SOliver TappeHOST_GCC_LD=`gcc -print-prog-name=ld`
3147c4641d0SOliver TappeHOST_GCC_OBJCOPY=`gcc -print-prog-name=objcopy`
315c505b276SFrançois RevolSFDISK_BINARY=sfdisk
316c505b276SFrançois RevolHOST_SFDISK=$SFDISK_BINARY
317338b8dc3SIngo Weinhold
31816d5c24eSOliver TappehaikuRequiredLegacyGCCVersion="2.95.3-haiku-090629"
319a559f87aSFrançois Revolexport haikuRequiredLegacyGCCVersion
320af4bf973SOliver Tappe	# version of legacy gcc required to build haiku
321af4bf973SOliver Tappe
322338b8dc3SIngo Weinholdset_default_value HAIKU_AR			ar
323338b8dc3SIngo Weinholdset_default_value HAIKU_CC			gcc
324338b8dc3SIngo Weinholdset_default_value HAIKU_LD			ld
325338b8dc3SIngo Weinholdset_default_value HAIKU_OBJCOPY		objcopy
326338b8dc3SIngo Weinholdset_default_value HAIKU_RANLIB		ranlib
32777e84f21SIngo Weinholdset_default_value HAIKU_YASM		yasm
328338b8dc3SIngo Weinholdset_default_value HAIKU_CPPFLAGS	""
329338b8dc3SIngo Weinholdset_default_value HAIKU_CCFLAGS		""
330338b8dc3SIngo Weinholdset_default_value HAIKU_CXXFLAGS	""
331338b8dc3SIngo Weinholdset_default_value HAIKU_LDFLAGS		""
33223eb9a9eSFrançois Revolset_default_value HAIKU_ARFLAGS		cru
333338b8dc3SIngo Weinholdset_default_value HAIKU_UNARFLAGS	x
33462339647SAxel Dörfler
3357c4641d0SOliver Tappe# determine output directory
3367c4641d0SOliver Tappeif [ "$currentDir" = "$sourceDir" ]; then
3377c4641d0SOliver Tappe	outputDir=$currentDir/generated
3387c4641d0SOliver Tappeelse
3397c4641d0SOliver Tappe	outputDir=$currentDir
3407c4641d0SOliver Tappefi
3417c4641d0SOliver TappebuildOutputDir="$outputDir/build"
3427c4641d0SOliver TappeHAIKU_BUILD_ATTRIBUTES_DIR="$outputDir/attributes"
3437c4641d0SOliver TappebuildConfigFile="$buildOutputDir/BuildConfig"
3447c4641d0SOliver Tappe
3457c4641d0SOliver Tappe# check for update request
3467c4641d0SOliver Tappeif [ "$1" = "--update" ]; then
3477c4641d0SOliver Tappe	if ! [ -e "$buildConfigFile" ]; then
3487c4641d0SOliver Tappe		echo $0 --update: \'$buildConfigFile\' not found - updating not possible.
3497c4641d0SOliver Tappe		exit 1
3507c4641d0SOliver Tappe	fi
3517c4641d0SOliver Tappe	if ! type perl >/dev/null 2>&1; then
3527c4641d0SOliver Tappe		echo $0 --update: \'perl\' not found - updating not possible.
3537c4641d0SOliver Tappe		exit 1
3547c4641d0SOliver Tappe	fi
3557c4641d0SOliver Tappe	# convert BuildConfig from jam format to shell format and evaluate it
3567c4641d0SOliver Tappe	shellConfigFile="${buildConfigFile}.shell"
3577c4641d0SOliver Tappe	perl "$sourceDir/build/scripts/convert_build_config_to_shell_format.pl" \
3587c4641d0SOliver Tappe		<"$buildConfigFile" >"$shellConfigFile"
3597c4641d0SOliver Tappe	. "$shellConfigFile"
3607c4641d0SOliver Tappe	rm "$shellConfigFile"
3617c4641d0SOliver Tappe	shift
3627c4641d0SOliver Tappefi
3637c4641d0SOliver Tappe
364022fa244SIngo Weinhold# parse parameters
365022fa244SIngo Weinhold#
36620ab75e6SIngo Weinholdwhile [ $# -gt 0 ] ; do
367022fa244SIngo Weinhold	case "$1" in
36860d8d8fcSIngo Weinhold		--alternative-gcc-output-dir)
36960d8d8fcSIngo Weinhold			assertparam "$1" $#
37060d8d8fcSIngo Weinhold			cd $2 || exit 1
3717c4641d0SOliver Tappe			HAIKU_ALTERNATIVE_GCC_OUTPUT_DIR=`pwd`
3727c4641d0SOliver Tappe			HAIKU_ADD_ALTERNATIVE_GCC_LIBS=1
37360d8d8fcSIngo Weinhold			cd $currentDir
37460d8d8fcSIngo Weinhold			shift 2
37560d8d8fcSIngo Weinhold			;;
376a5b60fa8SOliver Tappe		--build-cross-tools) assertparam "$1" $#; buildCrossTools=$2; shift 2;;
3779b0dd528SIngo Weinhold		--build-cross-tools-gcc4)
3789b0dd528SIngo Weinhold			assertparams "$1" 2 $#
3799b0dd528SIngo Weinhold			buildCrossTools=$3
3809b0dd528SIngo Weinhold			buildCrossToolsScript="${buildCrossToolsScript}_gcc4"
38120ab75e6SIngo Weinhold			case "$2" in
3827c4641d0SOliver Tappe				x86)	HAIKU_GCC_MACHINE=i586-pc-haiku;;
3837c4641d0SOliver Tappe				ppc)	HAIKU_GCC_MACHINE=powerpc-apple-haiku; targetArch=ppc;;
3847c4641d0SOliver Tappe				m68k)	HAIKU_GCC_MACHINE=m68k-unknown-haiku; targetArch=m86k;;
3857c4641d0SOliver Tappe				arm)	HAIKU_GCC_MACHINE=arm-unknown-haiku; targetArch=arm;;
3867c4641d0SOliver Tappe				mipsel)	HAIKU_GCC_MACHINE=mipsel-unknown-haiku; targetArch=mips;;
38720ab75e6SIngo Weinhold				*)		echo "Unsupported target architecture: $2"
38820ab75e6SIngo Weinhold						exit 1;;
38920ab75e6SIngo Weinhold			esac
3907c4641d0SOliver Tappe			buildCrossToolsMachine=$HAIKU_GCC_MACHINE
3919b0dd528SIngo Weinhold			shift 3
3929b0dd528SIngo Weinhold			;;
3939b0dd528SIngo Weinhold		--cross-tools-prefix)
3949b0dd528SIngo Weinhold			assertparam "$1" $#
3959b0dd528SIngo Weinhold			crossToolsPrefix=$2
3969b0dd528SIngo Weinhold			shift 2
3979b0dd528SIngo Weinhold			;;
398a66c32ddSIngo Weinhold		--distro-compatibility)
3999b0dd528SIngo Weinhold			assertparam "$1" $#
4007c4641d0SOliver Tappe			HAIKU_DISTRO_COMPATIBILITY=$2
4017c4641d0SOliver Tappe			case "$HAIKU_DISTRO_COMPATIBILITY" in
402a66c32ddSIngo Weinhold				official)	;;
403a66c32ddSIngo Weinhold				compatible)	;;
404a66c32ddSIngo Weinhold				default)	;;
405a66c32ddSIngo Weinhold				*)			echo "Invalid distro compatibility" \
4067c4641d0SOliver Tappe								"level: $HAIKU_DISTRO_COMPATIBILITY"
407a66c32ddSIngo Weinhold							exit 1;;
408a66c32ddSIngo Weinhold			esac
4099b0dd528SIngo Weinhold			shift 2
4109b0dd528SIngo Weinhold			;;
4117c4641d0SOliver Tappe		--enable-multiuser)	HAIKU_ENABLE_MULTIUSER=1; shift 1;;
41260d8d8fcSIngo Weinhold		--help | -h)	usage; exit 0;;
4137c4641d0SOliver Tappe		--include-gpl-addons)	HAIKU_INCLUDE_GPL_ADDONS=1; shift 1;;
4147c4641d0SOliver Tappe		--include-patented-code)	HAIKU_INCLUDE_PATENTED_CODE=1; shift 1;;
41576fa0be3SIngo Weinhold		--include-sources)	HAIKU_INCLUDE_SOURCES=1; shift 1;;
4167c4641d0SOliver Tappe		--include-3rdparty)	HAIKU_INCLUDE_3RDPARTY=1; shift 1;;
41760d8d8fcSIngo Weinhold        -j*)				buildCrossToolsJobs="$1"; shift 1;;
4187c4641d0SOliver Tappe		--target=*)     TARGET_PLATFORM=`echo $1 | cut -d'=' -f2-`; shift 1;;
4197c4641d0SOliver Tappe		--use-gcc-pipe)	HAIKU_USE_GCC_PIPE=1; shift 1;;
4207986925fSIngo Weinhold		--use-32bit)	HAIKU_HOST_USE_32BIT=1; shift 1;;
4217986925fSIngo Weinhold		--use-xattr)	HAIKU_HOST_USE_XATTR=1; shift 1;;
422022fa244SIngo Weinhold		*)				echo Invalid argument: \`$1\'; exit 1;;
423022fa244SIngo Weinhold	esac
424022fa244SIngo Weinholddone
425022fa244SIngo Weinhold
4260df3cc9cSIngo Weinhold# detect the build platform
427338b8dc3SIngo Weinholdcase "${platform}" in
4280df3cc9cSIngo Weinhold	BeOS)	revision=`uname -r`
4290df3cc9cSIngo Weinhold			case "$revision" in
4307c4641d0SOliver Tappe				6.*)	HOST_PLATFORM=dano ;;
4317c4641d0SOliver Tappe				5.1)	HOST_PLATFORM=dano ;;
4327c4641d0SOliver Tappe				5.0.4)	HOST_PLATFORM=bone ;;
4337c4641d0SOliver Tappe				5.0*)	HOST_PLATFORM=r5 ;;
4340df3cc9cSIngo Weinhold				*)		echo Unknown BeOS version: $revision
4350df3cc9cSIngo Weinhold						exit 1 ;;
4360df3cc9cSIngo Weinhold			esac
4370df3cc9cSIngo Weinhold			;;
4387c4641d0SOliver Tappe	Darwin)	HOST_PLATFORM=darwin ;;
4397c4641d0SOliver Tappe	FreeBSD)	HOST_PLATFORM=freebsd
440c505b276SFrançois Revol				SFDISK_BINARY=sfdisk-linux
4417986925fSIngo Weinhold				if [ "$HAIKU_HOST_USE_32BIT" = 1 ] ; then
4425abd9a46SIngo Weinhold					echo Unsupported platform: FreeBSD ${platformMachine}
443308c212cSIngo Weinhold					exit 1
444308c212cSIngo Weinhold				fi	;;
4457c4641d0SOliver Tappe	Haiku)	HOST_PLATFORM=haiku_host ;;
4467c4641d0SOliver Tappe	Linux)	HOST_PLATFORM=linux ;;
4477c4641d0SOliver Tappe	OpenBSD) HOST_PLATFORM=openbsd ;;
4487c4641d0SOliver Tappe	SunOS)	HOST_PLATFORM=sunos ;;
4497c4641d0SOliver Tappe	CYGWIN_NT-*) HOST_PLATFORM=cygwin ;;
450338b8dc3SIngo Weinhold	*)		echo Unsupported platform: ${platform}
4514cbe4925SAxel Dörfler			exit 1 ;;
4524cbe4925SAxel Dörfleresac
45352a38012Sejakowatz
45477e84f21SIngo Weinhold# check yasm version
45577e84f21SIngo Weinholdif [ $targetArch = "x86" ]; then
45677e84f21SIngo Weinhold	$HAIKU_YASM --version > /dev/null || {
45792696166SIngo Weinhold		echo "The yasm assembler version 0.7.0 or later must be installed."
45877e84f21SIngo Weinhold		echo "Download from: http://www.tortall.net/projects/yasm/wiki/Download"
45977e84f21SIngo Weinhold		exit 1
46077e84f21SIngo Weinhold	}
46177e84f21SIngo Weinhold
46277e84f21SIngo Weinhold	set -- $($HAIKU_YASM --version | head -n 1)
46377e84f21SIngo Weinhold	versionOK=0
46477e84f21SIngo Weinhold	case $2 in
46592696166SIngo Weinhold		0.[0-6].*)		;;
46677e84f21SIngo Weinhold		*)				versionOK=1 ;;
46777e84f21SIngo Weinhold	esac
46877e84f21SIngo Weinhold
46977e84f21SIngo Weinhold	if [ $versionOK = 0 ]; then
47092696166SIngo Weinhold		echo "The yasm assembler version 0.7.0 or later must be installed."
47177e84f21SIngo Weinhold		echo "The installed version is $2."
47277e84f21SIngo Weinhold		echo "Download from: http://www.tortall.net/projects/yasm/wiki/Download"
47377e84f21SIngo Weinhold		exit 1
47477e84f21SIngo Weinhold	fi
47577e84f21SIngo Weinholdfi
47677e84f21SIngo Weinhold
477c505b276SFrançois Revol# check common locations for sfdisk
478c505b276SFrançois Revolfor sfdiskDir in /sbin /usr/sbin /usr/local/sbin ; do
479c505b276SFrançois Revol	if [ -e ${sfdiskDir}/${SFDISK_BINARY} ]; then
480c505b276SFrançois Revol		HOST_SFDISK=${sfdiskDir}/${SFDISK_BINARY}
481c505b276SFrançois Revol	fi
482c505b276SFrançois Revoldone
483c505b276SFrançois Revol
4843ecc5287SMichael Lotz# check for case-sensitive filesystem if on darwin
4857c4641d0SOliver Tappeif [ $HOST_PLATFORM = "darwin" ]; then
4860651c859SMichael Pfeiffer	diskutil info $(pwd) | grep -i "case-sensitive" > /dev/null
4873ecc5287SMichael Lotz	if [ $? != 0 ]; then
4883ecc5287SMichael Lotz		echo "You need a case-sensitive file-system to build Haiku."
4893ecc5287SMichael Lotz		echo "Please see the following guide on how to set one up:"
4903ecc5287SMichael Lotz		echo "http://haiku-os.org/documents/dev/how_to_build_haiku_on_mac_os_x"
4913ecc5287SMichael Lotz		exit 1
4923ecc5287SMichael Lotz	fi
4933ecc5287SMichael Lotzfi
4943ecc5287SMichael Lotz
495338b8dc3SIngo Weinhold# create output directory
4966e7c6fe5SIngo Weinholdmkdir -p "$buildOutputDir" || exit 1
497338b8dc3SIngo Weinhold
498338b8dc3SIngo Weinhold# build cross tools from sources
499338b8dc3SIngo Weinholdif [ -n "$buildCrossTools" ]; then
50020ab75e6SIngo Weinhold	"$buildCrossToolsScript" $buildCrossToolsMachine "$sourceDir" \
50160d8d8fcSIngo Weinhold		"$buildCrossTools" "$outputDir" $buildCrossToolsJobs || exit 1
5027c4641d0SOliver Tappe	crossToolsPrefix="$outputDir/cross-tools/bin/${HAIKU_GCC_MACHINE}-"
503338b8dc3SIngo Weinholdfi
504338b8dc3SIngo Weinhold
505338b8dc3SIngo Weinhold# cross tools
506338b8dc3SIngo Weinholdif [ -n "$crossToolsPrefix" ]; then
507338b8dc3SIngo Weinhold	get_build_tool_path AR ar
508338b8dc3SIngo Weinhold	get_build_tool_path CC gcc
509338b8dc3SIngo Weinhold	get_build_tool_path LD ld
510338b8dc3SIngo Weinhold	get_build_tool_path OBJCOPY objcopy
511338b8dc3SIngo Weinhold	get_build_tool_path RANLIB ranlib
512338b8dc3SIngo Weinholdfi
513338b8dc3SIngo Weinhold
514338b8dc3SIngo Weinhold# prepare gcc settings
515338b8dc3SIngo Weinholdstandard_gcc_settings
516338b8dc3SIngo Weinhold
517eedc3d0bSIngo Weinhold# check whether the Haiku compiler really targets Haiku or BeOS
5187c4641d0SOliver Tappecase "$HAIKU_GCC_MACHINE" in
519eedc3d0bSIngo Weinhold	*-*-haiku)	;;
520eedc3d0bSIngo Weinhold	*-*-beos)	;;
521eedc3d0bSIngo Weinhold	*) echo The compiler specified as Haiku target compiler is not a valid \
522eedc3d0bSIngo Weinhold			Haiku cross-compiler. Please see ReadMe.cross-compile. >&2
523eedc3d0bSIngo Weinhold	   echo compiler: $HAIKU_CC
5247c4641d0SOliver Tappe	   echo compiler is configured for target: $HAIKU_GCC_MACHINE
525eedc3d0bSIngo Weinhold	   exit 1 ;;
526eedc3d0bSIngo Weinholdesac
527eedc3d0bSIngo Weinhold
52852a38012Sejakowatz# Generate BuildConfig
5297c4641d0SOliver Tappecat << EOF > "$buildConfigFile"
53052a38012Sejakowatz# BuildConfig
531ab2540c4SIngo Weinhold# Note: This file has been automatically generated by configure with the
532ab2540c4SIngo Weinhold# following arguments:
53355d267a4SFrançois Revol# ${configureArgs}
53452a38012Sejakowatz
5357c4641d0SOliver TappeTARGET_PLATFORM 			?= "${TARGET_PLATFORM}" ;
5367c4641d0SOliver TappeHOST_PLATFORM				?= "${HOST_PLATFORM}" ;
537338b8dc3SIngo Weinhold
5387c4641d0SOliver TappeHAIKU_INCLUDE_GPL_ADDONS			?= "${HAIKU_INCLUDE_GPL_ADDONS}" ;
5397c4641d0SOliver TappeHAIKU_INCLUDE_PATENTED_CODE			?= "${HAIKU_INCLUDE_PATENTED_CODE}" ;
54076fa0be3SIngo WeinholdHAIKU_INCLUDE_SOURCES				?= "${HAIKU_INCLUDE_SOURCES}" ;
5417c4641d0SOliver TappeHAIKU_INCLUDE_3RDPARTY				?= "${HAIKU_INCLUDE_3RDPARTY}" ;
5427c4641d0SOliver TappeHAIKU_ENABLE_MULTIUSER				?= "${HAIKU_ENABLE_MULTIUSER}" ;
5437c4641d0SOliver TappeHAIKU_DISTRO_COMPATIBILITY			?= "${HAIKU_DISTRO_COMPATIBILITY}" ;
5447c4641d0SOliver TappeHAIKU_USE_GCC_PIPE					?= "${HAIKU_USE_GCC_PIPE}" ;
5457986925fSIngo WeinholdHAIKU_HOST_USE_32BIT				?= "${HAIKU_HOST_USE_32BIT}" ;
5467986925fSIngo WeinholdHAIKU_HOST_USE_XATTR				?= "${HAIKU_HOST_USE_XATTR}" ;
5477c4641d0SOliver TappeHAIKU_ALTERNATIVE_GCC_OUTPUT_DIR	?= ${HAIKU_ALTERNATIVE_GCC_OUTPUT_DIR} ;
5487c4641d0SOliver TappeHAIKU_ADD_ALTERNATIVE_GCC_LIBS		?= ${HAIKU_ADD_ALTERNATIVE_GCC_LIBS} ;
549eccc7665SIngo Weinhold
5507c4641d0SOliver TappeHAIKU_GCC_RAW_VERSION		?= ${HAIKU_GCC_RAW_VERSION} ;
5517c4641d0SOliver TappeHAIKU_GCC_MACHINE			?= ${HAIKU_GCC_MACHINE} ;
552338b8dc3SIngo WeinholdHAIKU_GCC_LIB_DIR			?= ${HAIKU_GCC_LIB_DIR} ;
553338b8dc3SIngo WeinholdHAIKU_GCC_HEADERS_DIR		?= ${HAIKU_GCC_HEADERS_DIR} ;
554338b8dc3SIngo WeinholdHAIKU_GCC_LIBGCC			?= ${HAIKU_GCC_LIBGCC} ;
555338b8dc3SIngo Weinhold
5567c4641d0SOliver TappeHAIKU_STATIC_LIBSTDC++		?= ${HAIKU_STATIC_LIBSTDCXX} ;
5577c4641d0SOliver TappeHAIKU_SHARED_LIBSTDC++		?= ${HAIKU_SHARED_LIBSTDCXX} ;
5587c4641d0SOliver TappeHAIKU_STATIC_LIBSUPC++		?= ${HAIKU_STATIC_LIBSUPCXX} ;
5597c4641d0SOliver TappeHAIKU_SHARED_LIBSUPC++		?= ${HAIKU_SHARED_LIBSUPCXX} ;
5607c4641d0SOliver TappeHAIKU_C++_HEADERS_DIR		?= ${HAIKU_CXX_HEADERS_DIR} ;
5618b5934c9SIngo Weinhold
5627c4641d0SOliver TappeHAIKU_BUILD_ATTRIBUTES_DIR	?= ${HAIKU_BUILD_ATTRIBUTES_DIR} ;
563338b8dc3SIngo Weinhold
564338b8dc3SIngo WeinholdHAIKU_AR					?= ${HAIKU_AR} ;
565338b8dc3SIngo WeinholdHAIKU_CC					?= ${HAIKU_CC} ;
566338b8dc3SIngo WeinholdHAIKU_LD					?= ${HAIKU_LD} ;
567338b8dc3SIngo WeinholdHAIKU_OBJCOPY				?= ${HAIKU_OBJCOPY} ;
568338b8dc3SIngo WeinholdHAIKU_RANLIB				?= ${HAIKU_RANLIB} ;
56977e84f21SIngo WeinholdHAIKU_YASM					?= ${HAIKU_YASM} ;
570338b8dc3SIngo WeinholdHAIKU_CPPFLAGS				?= ${HAIKU_CPPFLAGS} ;
571338b8dc3SIngo WeinholdHAIKU_CCFLAGS				?= ${HAIKU_CCFLAGS} ;
572338b8dc3SIngo WeinholdHAIKU_CXXFLAGS				?= ${HAIKU_CXXFLAGS} ;
573338b8dc3SIngo WeinholdHAIKU_LDFLAGS				?= ${HAIKU_LDFLAGS} ;
574338b8dc3SIngo WeinholdHAIKU_ARFLAGS				?= ${HAIKU_ARFLAGS} ;
575338b8dc3SIngo WeinholdHAIKU_UNARFLAGS				?= ${HAIKU_UNARFLAGS} ;
576338b8dc3SIngo Weinhold
5777c4641d0SOliver TappeHOST_GCC_RAW_VERSION		?= ${HOST_GCC_RAW_VERSION} ;
5787c4641d0SOliver TappeHOST_GCC_MACHINE			?= ${HOST_GCC_MACHINE} ;
5797c4641d0SOliver TappeHOST_LD						?= ${HOST_GCC_LD} ;
5807c4641d0SOliver TappeHOST_OBJCOPY				?= ${HOST_GCC_OBJCOPY} ;
581c505b276SFrançois RevolHOST_SFDISK					?= ${HOST_SFDISK} ;
5828b5934c9SIngo Weinhold
583c4786ea6SlilloEOF
584c4786ea6Slillo
585b1e5b60cSAxel Dörfler# Libgcc.a objects
586b1e5b60cSAxel Dörfler
5876e7c6fe5SIngo Weinholdcat << EOF > "$buildOutputDir/libgccObjects"
588b1e5b60cSAxel Dörfler# libgcc.a objects to be linked against libroot.so
589b1e5b60cSAxel Dörfler# Note: This file has been automatically generated by configure.
590b1e5b60cSAxel Dörfler
591338b8dc3SIngo WeinholdHAIKU_GCC_LIBGCC_OBJECTS	?= ${HAIKU_GCC_LIBGCC_OBJECTS} ;
592b1e5b60cSAxel DörflerEOF
593b1e5b60cSAxel Dörfler
5944c74bde8SJérôme Duval# Generate Timezones binaries bindings
5954c74bde8SJérôme Duval
596338b8dc3SIngo WeinholdtimezoneSources="africa antarctica asia australasia europe northamerica
597338b8dc3SIngo Weinhold	southamerica pacificnew etcetera factory backward"
598338b8dc3SIngo Weinhold
5996e7c6fe5SIngo Weinholdcat << EOF > "$buildOutputDir/Timezones"
600b1e5b60cSAxel Dörfler# Timezones used for the build
601b1e5b60cSAxel Dörfler# Note: This file has been automatically generated by configure.
602b1e5b60cSAxel Dörfler
603338b8dc3SIngo WeinholdHAIKU_TIME_ZONE_SOURCES = ${timezoneSources} ;
604338b8dc3SIngo Weinhold
605b1e5b60cSAxel DörflerEOF
606b1e5b60cSAxel Dörfler
607338b8dc3SIngo Weinholdfor source in ${timezoneSources}; do
6083578c56aSAxel Dörfler	f=$sourceDir/src/data/timezones/$source
6094c74bde8SJérôme Duval
6106e7c6fe5SIngo WeinholdTZOBJECTS=`gawk '/^Zone/ { print $2 } /^Link/ { print $3 } ' "$f" `
6114c74bde8SJérôme Duval
6126e7c6fe5SIngo Weinholdcat << EOF >> "$buildOutputDir/Timezones"
613338b8dc3SIngo WeinholdTZ_OBJECTS on <timezone-source>${source} ?= $TZOBJECTS ;
6144c74bde8SJérôme DuvalEOF
6154c74bde8SJérôme Duvaldone
616338b8dc3SIngo Weinhold
6179b0dd528SIngo Weinhold# Generate a boot strap Jamfile in the output directory.
618338b8dc3SIngo Weinhold
619338b8dc3SIngo Weinholdcat << EOF > $outputDir/Jamfile
620338b8dc3SIngo Weinhold# automatically generated Jamfile
621338b8dc3SIngo Weinhold
622338b8dc3SIngo WeinholdHAIKU_TOP			= ${sourceDir} ;
623338b8dc3SIngo WeinholdHAIKU_OUTPUT_DIR	= ${outputDir} ;
624338b8dc3SIngo Weinhold
625338b8dc3SIngo Weinholdinclude [ FDirName \$(HAIKU_TOP) Jamfile ] ;
626338b8dc3SIngo Weinhold
627338b8dc3SIngo WeinholdEOF
628